summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--multimedia/picard-plugins/README1
-rw-r--r--multimedia/picard-plugins/picard-plugins.SlackBuild87
-rw-r--r--multimedia/picard-plugins/picard-plugins.info10
-rw-r--r--multimedia/picard-plugins/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/multimedia/picard-plugins/README b/multimedia/picard-plugins/README
new file mode 100644
index 0000000000..c4d03768fb
--- /dev/null
+++ b/multimedia/picard-plugins/README
@@ -0,0 +1 @@
+MusicBrainz Picard Plugins.
diff --git a/multimedia/picard-plugins/picard-plugins.SlackBuild b/multimedia/picard-plugins/picard-plugins.SlackBuild
new file mode 100644
index 0000000000..701db0b53f
--- /dev/null
+++ b/multimedia/picard-plugins/picard-plugins.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for "picard-plugins".
+
+# Copyright 2015 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=picard-plugins
+DSTNAM=picard
+VERSION=${VERSION:-20150107}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+PYTHONDIR=$(python -c "import sys, os; print os.path.join('/usr/lib${LIBDIRSUFFIX}', 'python%s' % sys.version[:3], 'site-packages')")
+mkdir -p $PKG/$PYTHONDIR/$DSTNAM/plugins
+(
+ cd plugins
+ find . -maxdepth 2 -name '__init__.py' -printf '%h\n'|xargs mv -t $PKG/$PYTHONDIR/$DSTNAM/plugins/
+ cp -a */* $PKG/$PYTHONDIR/$DSTNAM/plugins/
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/picard-plugins/picard-plugins.info b/multimedia/picard-plugins/picard-plugins.info
new file mode 100644
index 0000000000..72a2db19cd
--- /dev/null
+++ b/multimedia/picard-plugins/picard-plugins.info
@@ -0,0 +1,10 @@
+PRGNAM="picard-plugins"
+VERSION="20150107"
+HOMEPAGE="https://picard.musicbrainz.org/plugins/"
+DOWNLOAD="https://s.mos6581.de/static/slackbuilds.org/sources/picard-plugins-20150107.tar.xz"
+MD5SUM="4270e334ddfa1e073c115ea5d85c68ac"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="picard"
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/multimedia/picard-plugins/slack-desc b/multimedia/picard-plugins/slack-desc
new file mode 100644
index 0000000000..a74a3002c5
--- /dev/null
+++ b/multimedia/picard-plugins/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+picard-plugins: Picard Plugins (MusicBrainz Picard Plugins)
+picard-plugins:
+picard-plugins: MusicBrainz Picard Plugins.
+picard-plugins:
+picard-plugins: Homepage: https://picard.musicbrainz.org/plugins/
+picard-plugins:
+picard-plugins:
+picard-plugins:
+picard-plugins:
+picard-plugins:
+picard-plugins: